import { ExtendedRepositoryPort } from '@mobicoop/ddd-library';
import { AdEntity } from '../../domain/ad.entity';

export type AdRepositoryPort = ExtendedRepositoryPort<AdEntity> & {
  getCandidateAds(queryString: string): Promise<AdEntity[]>;
};
